package demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

// @Controller
public class RozmowaController_v1 {

    @RequestMapping(path = "/rozmowa", method = RequestMethod.GET)
    public String rozmowaGet() {
        return "rozmowa.html";
    }

    @RequestMapping(path = "/rozmowa", method = RequestMethod.POST)
    public String rozmowaPost(Model model, String imie, Integer wiek) {
        model.addAttribute("pozdrowienie", "Witaj " + imie);
        String txt_piwo;
        if (wiek != null && wiek >= 18) {
            txt_piwo = "Możesz kupić piwo, smacznego.";
        } else {
            txt_piwo = "Niepełnoletnim proponujemy oranżadę";
        }
        model.addAttribute("piwo", txt_piwo);
        return "rozmowa.html";
    }

}
